# Kody źródłowe robota SimpleBot

Pliki do projektu Simplebot umieszczone są w różnych katalogach

## JavaScript

W folderze examples znajdują się następujące kody źródłowe przedstawione w książce, które możesz wykorzystać.

* servo-test.js – sprawdza, czy serwomotory są prawidłowo podłączone
* simplebot.js – umożliwia sterowanie robotem za pomocą klawiatury
* collision-avoid.js – umożliwia autonomiczne poruszanie się robota i omijanie przeszkód

Aby uruchomić któryś z programów zainstaluj zależności za pomocą polecenia npm

```
npm install
```

Następnie uruchom program podając w argumencie żądany port szeregowy (nazwa jest różna w zależności od Twojego systemu operacyjnego). W systemie Linux / Mac jest to /dev/tty*, w Windows COM*, gdzie * oznacza numer lub nazwę wybranego portu.

Przykład dla systemu Linux:

```
node examples/simplebot.js /dev/ttyUSB0
```

## Pliki projektowe

W folderze physical znajdują się pliki projektowe robota Simplebot:

* simplebot.svg – plik w formacie wektorowym z szablonem, który można wydrukować i przykleić na tekturze lub piance, aby wyciąć elementy
* skid.stl – obiekt, który można wydrukować na drukarce 3D. Jest to śruba M3, dł. 30 mm, umożliwiająca robotowi utrzymanie równowagi

## SimpleBot Firmata (Arduino)

W folderze Arduino znajduje się szkic SimpleBotFirmata. Jest to niestandardowa wersja oprogramowania zawierająca kilka nowych funkcjonalności, m.in. wykorzystanie interfejsu API pulseIn z czujnikami ultradźwiękowymi.